---
- hosts: '{{target|default("all")}}'
  become: yes
  vars:
    pip_package: python3-pip
    pip_install_packages:
      - name: docker
  tasks:
    - include_role:
        name: "{{ item }}"
      with_items:
        - pip
        - docker
      when: ansible_os_family == "Debian"

    - name: Install docker
      ansible.builtin.package:
        name: "{{ item }}"
        state: present
      when: ansible_os_family == "Archlinux"
      with_items:
        - docker
        - python-docker

    - name: enable docker
      ansible.builtin.systemd:
        name: docker
        enabled: true
        state: started
